$(function () {
  var desc = { //Список стран с которыми работает скрипт, в "desc" указывается текст который будет отображаться в списке выбора стран, в "currency" указывается валюта для данной страны.
      AR: {
        desc: 'República Argentina',
        currency: 'ARS'
      },
      EC: {
        desc: 'República del Ecuador',
        currency: '$'
      },
      VE: {
        desc: 'República Bolivariana de Venezuela',
        currency: '$'
      },
      CR: {
        desc: 'República de Costa Rica',
        currency: 'CRC'
      },
      HN: {
        desc: 'República de Honduras',
        currency: 'HNL'
      },
      DO: {
        desc: 'República Dominicana',
        currency: 'DOP'
      },
      SV: {
        desc: 'República de El Salvador',
        currency: '$'
      },
      CU: {
        desc: 'República de Cuba',
        currency: 'CUP'
      },
      PR: {
        desc: 'Estado Libre Asociado de Puerto Rico',
        currency: '$'
      },
      PA: {
        desc: 'República de Panamá',
        currency: '$'
      },
      NI: {
        desc: 'República de Nicaragua',
        currency: 'NIO'
      },
      PY: {
        desc: 'República del Paraguay',
        currency: 'PYG'
      },
      MX: {
        desc: 'México',
        currency: 'Pesos'
      },
      AL: {
        desc: 'Shqipëri ',
        currency: 'ALL'
      },
      XK: {
        desc: ' Republika e Kosovës ',
        currency: '€'
      }
    },
    selectCountry = $('select#country_code_selector'), //находим и запоминаем все селекты выбора стран
    oldPriceBlock = $('.oldPrice-js'), //находим и запоминаем все текстовые поля для отображения старой цены
    oldPriceInput = $('[name="old_price"]'), //находим и запоминаем все поля со старой ценой в формах
    newPriceBlock = $('.newPrice-js'), //находим и запоминаем все текстовые поля для отображения новой цены
    newPriceInput = $('[name="price"],[name="total_price"]'), //находим и запоминаем все поля с новой и итоговой ценой в формах
    currencyBlock = $('.currency-js'), //находим и запоминаем все текстовые поля для отображения валюты
    currencyInput = $('[name="currency"]'), //находим и запоминаем все поля с валютой в формах
    db = { //создаем объект с дефолтными значениями цен и валюты, значения берутся из полей которые забиты в оффере по умолчанию
      default: {
        'old_price': oldPriceInput.eq(0).val(),
        'new_price': newPriceInput.eq(0).val(),
        'currency': currencyInput.eq(0).val()
      }
    },
    initCountry = typeof ip_ccode === 'undefined'; //проверяем присутствует ли "ip_ccode" в ленде (сделано для лендов вне админки)

  if (db.default.currency === 'USD') db.default.currency = '$'; //проверяем валюту по умолчанию, если USD заменяем ее на $

  if (typeof package_prices === "object") { //проверяем существует ли объект "package_prices"
    for (var key in package_prices) { //перебираем все элементы объекта "package_prices"
      if (package_prices.hasOwnProperty(key) && desc[key] && key !== 'default') { //если код страны не равен "default" и этот код есть в списке стран "desc" указанном в самом начале данного скрипта, то добавляем в объект "db" данную страну со всеми необходимыми значениями
        db[key] = {
          'old_price': package_prices[key].old_price,
          'new_price': package_prices[key].price,
          'currency': desc[key].currency,
          'desc': desc[key].desc
        };
      }
    }
  }

  function changeSelect(country) { //функция изменения значения цен и валюты
    var data = db[country] ? db[country] : db.default; //если переданный код страны присутствует в объекте "db", то считываем его, в противном случае забираем значения по умолчанию
    oldPriceBlock.text(data.old_price);
    oldPriceInput.val(data.old_price);
    newPriceBlock.text(data.new_price);
    newPriceInput.val(data.new_price);
    currencyBlock.text(data.currency);
    currencyInput.val(data.currency);
  }

  function addOptionSelect($select) { //функция добавления новых элементов в выпадающий список стран
    $select = typeof $select.attr !== 'function' ? $($select) : $select; //проверяем какой элемент к нам пришел, если это не объект jQuery по создаем его, иначе отдает как есть
    for (var key in db) { //перебираем весь объект "db"
      if (db.hasOwnProperty(key) && key !== 'default') { //если код страны не равен "default" то добавляем в список стран новую опцию попутно проверяя, если ленд не в админке то первый элемент делаем выбранным
        $select.append('<option value="' + key + '" ' + (initCountry ? 'selected="selected"' : '') + '>' + db[key].desc + '</option>');
        if (initCountry) { //если ленд не в админке и добавленная опция отмечена как выбранная запускаем функцию изменения цен и валюты и отмечаем, что страна уже выбрана
          changeSelect(key);
          initCountry = false;
        }
      }
    }
  }

  changeSelect(ip_ccode); //запускаем функцию по изменению цен и валюты

  selectCountry.each(function () {//перебираем каждый список стран
    var $t = $(this);
    if (desc[ip_ccode]) {//если отданный админкой "ip_ccode" присутствует в списке стран "desc" то изменяем текст отображения в списке стран
      $t.find('[value="' + ip_ccode + '"]').text(desc[ip_ccode].desc);
    } else { //иначе запускаем функцию добавления новых элементов в выпадающий список
      addOptionSelect($t);
    }
  });

  selectCountry.on('change', function () { //если в списке стран пользователь произвел изменение, то код страны который он выбран передаем в функцию изменения цен и валюты и всем остальные спискам стран проставляем это значение страны
    changeSelect(this.value);
    selectCountry.val(this.value);
  });
});